Subject: bug#2652: 23.0.91; wacky behavior of "v" command in *vc-dir* buffer

From: Miles Bader <[email-masked]>
Date: Fri, 13 Mar 2009 16:49:26 +0900

On Fri, Mar 13, 2009 at 4:27 PM, Dan Nicolaescu <[email-masked]> wrote:
> Thanks.
> The immediate cause of the problem is that
> (vc-git-registered "/tmp/zonk/")
> returns nil.
>
> vc-git-registered is called because vc-finish-log-entry does a
> `vc-call'.  `vc-call' tries to find the corresponding VC backend.
>
> Now, the VC backend should be know known at point when the log entry is
> started, so there should be no need for the vc-call, vc-call-backend
> could be used...

Is there anybody driving the design of the vc rewrite at this point?

Thanks,

-Miles

-- 
Do not taunt Happy Fun Ball.